Bug Hunting Session
Bug 79452 - Themes with a separator line per toolbar incorrectly places separator line at bottom when toolbar docked at bottom
Summary: Themes with a separator line per toolbar incorrectly places separator line at...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
4.0.6.2 release
Hardware: Other All
: low minor
Assignee: Not Assigned
URL:
Whiteboard:
Keywords: bibisectRequest, regression
Depends on:
Blocks: UI-Theming Toolbars
  Show dependency treegraph
 
Reported: 2014-05-30 11:00 UTC by Yousuf Philips (jay) (retired)
Modified: 2019-07-01 02:47 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:


Attachments
Bottom Toolbar Separator in 3.6 (top) and 4.3 beta (bottom) (32.70 KB, image/png)
2014-05-30 11:00 UTC, Yousuf Philips (jay) (retired)
Details
how the toolbar looks in windows 7 (18.31 KB, image/png)
2014-05-30 11:04 UTC, Yousuf Philips (jay) (retired)
Details
Default UI (4.2) (70.06 KB, image/png)
2014-05-30 17:25 UTC, Firas Hanife
Details
Mockup UI (4.2) (62.90 KB, image/png)
2014-05-30 17:25 UTC, Firas Hanife
Details
Default UI (4.2) CORRECT (56.03 KB, image/png)
2014-05-30 17:27 UTC, Firas Hanife
Details
LibO 3.6 VS 4.0 with Mint-X theming (178.90 KB, image/png)
2014-06-09 17:18 UTC, Yousuf Philips (jay) (retired)
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Yousuf Philips (jay) (retired) 2014-05-30 11:00:21 UTC
Created attachment 100158 [details]
Bottom Toolbar Separator in 3.6 (top) and 4.3 beta (bottom)

When a toolbar shows up at the bottom, like the table toolbar in writer, the black separator has moved to the bottom in 4.0 and above. Tested on Linux. In Windows 7 there are no toolbar row separators.
Comment 1 Yousuf Philips (jay) (retired) 2014-05-30 11:04:16 UTC
Created attachment 100159 [details]
how the toolbar looks in windows 7
Comment 2 Yousuf Philips (jay) (retired) 2014-05-30 11:15:29 UTC
Separators are really needed in windows 7.
Comment 3 Yousuf Philips (jay) (retired) 2014-05-30 11:23:08 UTC
I see the separator at the top and bottom were there in 3.6 in Windows. :)
Comment 4 Firas Hanife 2014-05-30 17:24:18 UTC
There are no borders in 4.1, 4.2 and 4.3 LibreOffice versions.

Look at the file "Default UI" to see the actual UI.
Look at the file "Mockup UI" to see what is the option proposed.
(could be in Tools > Options... > LibreOffice > View ?)
Comment 5 Firas Hanife 2014-05-30 17:25:11 UTC
Created attachment 100175 [details]
Default UI (4.2)
Comment 6 Firas Hanife 2014-05-30 17:25:35 UTC
Created attachment 100176 [details]
Mockup UI (4.2)
Comment 7 Firas Hanife 2014-05-30 17:27:42 UTC
Created attachment 100177 [details]
Default UI (4.2) CORRECT

Sorry, the previous version was 4.1, this is the correct "Default UI"
Comment 8 Yousuf Philips (jay) (retired) 2014-05-30 17:30:18 UTC
I'm running Linux Mint 13 Mate.
Comment 9 Firas Hanife 2014-05-30 17:30:51 UTC
I'm running openSUSE 13.1 KDE.
Comment 10 Yousuf Philips (jay) (retired) 2014-05-30 17:44:02 UTC
Just to be clear, a separator is appearing with the bottom toolbar, but its appearing at its bottom, right above the top separator for the statusbar. So i'd like the separtor moved back to the top, similar to 3.6.
Comment 11 Yousuf Philips (jay) (retired) 2014-06-09 17:18:43 UTC
Created attachment 100759 [details]
LibO 3.6 VS 4.0 with Mint-X theming
Comment 12 QA Administrators 2015-07-18 17:43:22 UTC Comment hidden (obsolete)
Comment 13 Yousuf Philips (jay) (retired) 2015-08-23 15:21:53 UTC
Issue is still present. Tested on Linux Mint 17.1 XFCE.

Version: 5.1.0.0.alpha1+
Build ID: 5a2d6bf3a94f127307d6a9464033b2226508ff38
TinderBox: Linux-rpm_deb-x86_64@70-TDF, Branch:master, Time: 2015-08-21_06:31:09
Locale: en-US (en_US.UTF-8)
Comment 14 Robinson Tryon (qubit) 2015-12-14 05:32:41 UTC Comment hidden (obsolete)
Comment 15 Joel Madero 2016-01-09 22:41:26 UTC
I don't see this as a candidate for bibisectRequest - there's no evidence that this is a regression. Toolbars were moved to the bottom - with that came the changed border. There's never a time when it was on the bottom and the border was the way you propose. Removing bibisectRequest - if a developer thinks it would be useful feel free to add it again and let me know what behavior we're comparing....would it just be a bibisect to determine when the toolbar was moved to the bottom? Is there a time when it was on the bottom and the border was on top?

I'd suggest even removing the "regression" keyword but I'll leave that to others to decide.
Comment 16 Xisco Faulí 2016-09-12 12:27:00 UTC
Adding keyword 'bibisectRequest'.
Comment 17 Yousuf Philips (jay) (retired) 2017-10-07 11:35:37 UTC
Xisco, Aron, Raal: can any of you guys bibisect this issue, as it still affects me today.
Comment 18 Buovjaga 2018-06-30 16:50:54 UTC
Sorry, it looks the same for me in the oldest and latest commit in Linux 43all repo (without a dark top border). Ubuntu 14.04.
Comment 19 QA Administrators 2019-07-01 02:47:21 UTC
Dear Yousuf Philips (jay) (retired),

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug